30Tools
Dein KI-Agent darf an deine DNS-Zone, nicht an deine Rechnung.
MCP Suite entdecken
DNS API-Referenz
v1.6.2
OpenAPI herunterladen
Update DNS record
Update a specific Resource Record (rrid). This is useful for modifying the record’s name or type, or when managing multiple records with the same name and type combination.
PATCH
/dns/rr/{rrid}
ResourceRecordsByID

Authentifizierung

x-api-keyapplication/json

Parameter

Name
Typ
Format
Pflicht
Description
rrid
path
number
-
Pflicht
Resource Record ID

Request Body

application/jsonPflicht
Data object for the record
recordRequest
recordRequest
{
  "type": "A",
  "name": "www",
  "data": "12.12.12.12"
}

Felder

Name
Typ
Format
Pflicht
Description
type
A
string
-
Pflicht
-
name
string
-
Pflicht
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
ttl
integer
-
Optional
Time To Live in seconds (60-86400)
annotation
string
-
Optional
A custom note for this particular record.
data
string
-
Pflicht
-

Request-Beispiel

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/dns/rr/1' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "type": "A",
  "name": "www",
  "data": "12.12.12.12"
}'

Responses

200
The updated record
application/jsonrecordResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
DNS record not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "DNS record not found",
  "error": "DNS record not found"
}
417
DNS record update violates a zone constraint
application/jsonError
Response-Beispiel 417
{
  "success": false,
  "message": "DNS record update violates a zone constraint",
  "error": "DNS record update violates a zone constraint"
}
429
Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.
application/jsonError
Response-Beispiel 429
{
  "success": false,
  "message": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.",
  "error": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint."
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.